Subject: [TR] Convex Mirrors

From: marty sukey <[email-masked]>
Date: Wed, 22 May 2013 20:55:49 -0400 FILETIME=[44C47910:01CE5750]

I have two of the 4-1/2 bullet style rear view mirrors that I want to have the
flat mirrors replaced with convex mirrors. I am not a fan of the stick-ons I
have found. It has been mentioned to me that a glass/mirror shop can do this.
I have went to those in my area and they say no go. Anybody actually had this
done?

Thanks,

** [email-masked] **

Archive: http://www.team.net/archive

---

From: Chris Simo <[email-masked]>
Date: Thu, 23 May 2013 08:17:22 -0400

I might try something like this - if you can find convex mirrors the right
size (we wouldn't be having this conversation)  or larger - you could mask
the center and take the mirrors to a stained glass shop (or class)  and see
if they will grind down the edge of the mirrors to fit.

Chris